Consultar transação
curl --request GET \
--url https://gateway.staging.azentech.dev/api/transaction/{transaction_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.staging.azentech.dev/api/transaction/{transaction_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.staging.azentech.dev/api/transaction/{transaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"transaction": {
"id": "10000000-0000-4000-8000-000000000001",
"merchant_id": "20000000-0000-4000-8000-000000000001",
"user_id": "30000000-0000-4000-8000-000000000001",
"processor_id": "40000000-0000-4000-8000-000000000001",
"merchant_transaction_id": "50000000-0000-4000-8000-000000000001",
"transaction_type": "pix",
"first_name": "Cliente",
"last_name": "Exemplo",
"email": "cliente@example.com",
"updated_at": "2026-10-23T14:30:00+00:00",
"created_at": "2026-10-23T14:30:00+00:00",
"events": [
{
"id": "60000000-0000-4000-8000-000000000001",
"success": true,
"status": "success",
"event_type": "auth",
"amount": "125.90",
"ip_address": "192.0.2.10",
"processor_code": null,
"processor_message": null,
"processor_transaction_id": "sandbox-event-1001",
"batch_id": null,
"qrcode": "00020101021226850014br.gov.bcb.pix2563example.invalid/pix/1001",
"pix_key_type": null,
"pix_key_value": null,
"pix_message": "Deposito para: CONTA DEMO",
"updated_at": "2026-10-23T14:30:00+00:00",
"created_at": "2026-10-23T14:30:00+00:00"
}
],
"document_number": "12345678909",
"status": "pending",
"flow_type": "cashin",
"error": null,
"e2e_id": null,
"source": "player",
"transaction_repay_id": null
}
}{
"error": {
"message": {
"base": [
"Not authenticated"
]
},
"status": 401
}
}{
"error": {
"message": "Transaction not found.",
"status": 404
}
}Transações
Consultar transação
Consulta uma transação do estabelecimento pelo UUID da Azentech.
GET
/
api
/
transaction
/
{transaction_id}
Consultar transação
curl --request GET \
--url https://gateway.staging.azentech.dev/api/transaction/{transaction_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.staging.azentech.dev/api/transaction/{transaction_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.staging.azentech.dev/api/transaction/{transaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"transaction": {
"id": "10000000-0000-4000-8000-000000000001",
"merchant_id": "20000000-0000-4000-8000-000000000001",
"user_id": "30000000-0000-4000-8000-000000000001",
"processor_id": "40000000-0000-4000-8000-000000000001",
"merchant_transaction_id": "50000000-0000-4000-8000-000000000001",
"transaction_type": "pix",
"first_name": "Cliente",
"last_name": "Exemplo",
"email": "cliente@example.com",
"updated_at": "2026-10-23T14:30:00+00:00",
"created_at": "2026-10-23T14:30:00+00:00",
"events": [
{
"id": "60000000-0000-4000-8000-000000000001",
"success": true,
"status": "success",
"event_type": "auth",
"amount": "125.90",
"ip_address": "192.0.2.10",
"processor_code": null,
"processor_message": null,
"processor_transaction_id": "sandbox-event-1001",
"batch_id": null,
"qrcode": "00020101021226850014br.gov.bcb.pix2563example.invalid/pix/1001",
"pix_key_type": null,
"pix_key_value": null,
"pix_message": "Deposito para: CONTA DEMO",
"updated_at": "2026-10-23T14:30:00+00:00",
"created_at": "2026-10-23T14:30:00+00:00"
}
],
"document_number": "12345678909",
"status": "pending",
"flow_type": "cashin",
"error": null,
"e2e_id": null,
"source": "player",
"transaction_repay_id": null
}
}{
"error": {
"message": {
"base": [
"Not authenticated"
]
},
"status": 401
}
}{
"error": {
"message": "Transaction not found.",
"status": 404
}
}Comportamento observado
- A consulta é limitada ao estabelecimento associado ao token.
Os exemplos usam identificadores e credenciais sintéticos. Os resultados do processador dependem do credenciamento e da configuração do estabelecimento.